#ifndef _Common_H
#define _Common_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define EVENT_NONE  0
#define EVENT_INFO  1
#define EVENT_WARN  2
#define EVENT_ERROR 3

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

bool CloseLogFile(void);
bool GetIPAddress(const char *sInputAddr, char *sOutAddr);
bool DoesServerFileExist(const char *sFile);
bool OpenLogFile(void);

char *ResolveHost(const char *sHostName, int iAddress);

int AppendDataToCmd(const char *sCmd, char *sData, int iDataSz, char *sOutBuf);
int BreakCmdFromData(const char *sBuf, int iCmdLen, int iBufSz, char *sOutBuf);
int CmdCmp(const char *sBuf, const char *sCmd);
int GetListItemlParam(HWND hWnd, int iItem, int iSubItem);

void CreateFolderStructure(char *sFullPath);
void WriteAnEvent(const char *sMessage, int iEventType);
void WriteLog(int iClientId, const char *sMessage);
void WriteLogEx(int iClientId, const char *sMessage, int iEventType);
void WriteSysLog(const char *sMessage);
void WriteSysLogEx(const char *sMessage, int iEventType);

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
